%define upstream_version 20100531

Name:           hyphen-hsb
Version:        0.%{upstream_version}
Release:        %mkrel 4
Summary:        Upper Sorbian hyphenation rules
License:        LPPL
Group:          Text tools
URL:            http://tug.org/tex-hyphen
Source0:        http://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-hsb.tex
Source1:        http://www.tug.org/pipermail/tex-live/2005-June/008156.html
Patch0:         %{name}-cleantex.patch

BuildRequires:  hyphen-devel
BuildRequires:  elinks

BuildArch:      noarch

Requires:       hyphen

%description
Upper Sorbian hyphenation rules.

%prep
%setup -T -q -c -n hyphen-hsb
cp -p %{_sourcedir}/hyph-hsb.tex .
cp -p %{_sourcedir}/008156.html .
%patch0 -p0 -b .clean

%build
substrings.pl hyph-hsb.tex hyph_hsb_DE.dic UTF-8
echo "created with substring.pl by substrings.pl hyph-hsb.tex hyph_hsb_DE.dic UTF-8" > README
echo "---" >> README
echo "See 008156.html (http://www.tug.org/pipermail/tex-live/2005-June/008156.html) for COPYING details" >> README
echo "---" >> README
head -n 61 hyph-hsb.tex >> README

elinks -dump 008156.html -no-references > COPYING

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_hsb_DE.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README COPYING
%{_datadir}/hyphen/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20100531-4.mga4
+ Revision: 505922
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20100531-3.mga3
+ Revision: 353929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.20100531-2.mga2
+ Revision: 194665
- rebuild against new hyphen-devel
- clean spec

* Sat Mar 12 2011 ahmad <ahmad> 0.20100531-1.mga1
+ Revision: 70150
- fix group
- imported package hyphen-hsb


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100531-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Caolan McNamara <caolanm@redhat.com> - 0.20100531-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080619-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Caolan McNamara <caolanm@redhat.com> - 0.20080619-2
- links doesn't have a -no-references mode anymore

* Mon Mar 23 2009 Caolan McNamara <caolanm@redhat.com> - 0.20080619-1
- initial version
